/**
 * Theme Name:	Hampen Twentyfive
 * Template:	twentytwentyfive
 * Theme URI:	https://hampenkeramik.dk/hampen-twentyfive
 * Description:	Twenty Twentyfive Child Theme
 * Author:		Peter Løgstrup Fischer
 * Author URI:	https://hampenkeramik.dk
 * Text Domain:	hampen-twentyfive
 
 */
 
 /* Gå fucking væk grimme focus outline */
:where(.wp-site-blocks *:focus) {
    outline-width: 0px !important;
    outline-style: inherit;
	outline: 0px none;
	box-shadow: none!important;
}
 
.wc-block-components-button:not(.is-link):focus {
	box-shadow: none!important;
	outline:none!important;
} 

body .woocommerce-checkout {
	outline-width: 3px !important;
    outline-style: inherit;
	outline: 3px;
}
/*center*/
.center {
	text-align:center;
	width:100%;
}
.clear-right {
	clear:right;
}

/*Kontaktformularen med class page-id-110 skal have same field og inout styling som blocks*/
.wpcf7 input.wpcf7-text,
.wpcf7 textarea,
.wpcf7 input.wpcf7-quiz  {
	background-color: #fff;
    border: 1px solid hsla(0, 0%, 7%, .8);
    border-radius: 4px;
    box-sizing: border-box;
    color: #2b2d2f;
    font-family: inherit;
    font-size: 1em;
    height: 3.125em;
    line-height: 1em;
    margin: 0;
    min-height: 0;
    padding: 1em .5em;
    width: 100%;
}
.wpcf7 textarea {
	height:auto;
}
.wpcf7 input[type=checkbox] {
    background-color: #fff;
    border: 1px solid rgba(25, 23, 17, .48);
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 1em;
    height: 1.5em;
    margin: 0 1em 0 0;
    min-height: 1.5em;
    min-width: 1.5em;
    overflow: hidden;
    position: static;
    vertical-align: middle;
    width: 1.5em;
}

.wpcf7 input[type=submit] {
	
    background-color: var(--wp--preset--color--contrast);
    border-width: 0;
    color: var(--wp--preset--color--base);
    font-family: var(--wp--preset--font-family--literata);
    font-size: var(--wp--preset--font-size--medium);
    font-weight: 400;
    letter-spacing: -0.01em;
    line-height: inherit;
    padding-top: 1rem;
    padding-right: 2.25rem;
    padding-bottom: 1rem;
    padding-left: 2.25rem;
    text-decoration: none;
    text-transform: uppercase;
	cursor: pointer;
	border-radius: 3.125rem;
}

/*single product */
.wp-block-woocommerce-product-details,
.wp-block-woocommerce-add-to-cart-form .variations_button:before,
.wp-block-woocommerce-add-to-cart-form form.cart:before {
	display:none;
}
.wp-block-add-to-cart-form .price,
.wp-block-add-to-cart-form .custom-price {
	/*font-size:1.6em;*/
}
.woocommerce div.product form.cart .variations {
	margin-bottom:0;
}
.product-type-variable form.cart {
	min-height:302px;
}
.custom-additional-info p {
	margin-bottom: 0;
}
.single-product div.product table.variations th, 
.single-product div.product table.variations td {
    display: list-item;
    padding: 0;
    list-style: none;
    background-color: rgba(0, 0, 0, 0);
}
.wc-block-components-button__text,
.woocommerce div.product form.cart button.single_add_to_cart_button, 
.woocommerce div.product form.cart button[name=add-to-cart] {
	word-break: keep-all;
}

/* test hvad den her gør ved add to cart form*/
.woocommerce div.product form.cart::after, 
.woocommerce div.product form.cart::before {
    content: " ";
    display: none;
}
.single_variation_wrap {
	align-content:flex-end;
}
/*CART KASSE*/
header .return-to-cart-button {
    box-shadow: none;
    color: inherit;
   text-align:right;
    position: relative;
    text-decoration: none;
	display:inherit;
}
/*Varetabel i kurv er svulmet op efter woocommerce 10*/
.wc-block-cart table.wc-block-cart-items, 
.wc-block-cart table.wc-block-cart-items td, 
.wc-block-cart table.wc-block-cart-items th {
	margin: 0 0 10px;
}


/*skjul product description i kassen og kurv */

body.woocommerce-cart .wc-block-components-product-metadata__description,
body.woocommerce-checkout .wc-block-components-product-metadata__description {
	display:none;
}
body.woocommerce-cart h3.wc-block-components-product-name ,
body.woocommerce-checkout h3.wc-block-components-product-name  {
	margin-bottom: 0.1rem;
}

/* checkbox fejl gæres farveblindhedsvenlig*/
.wc-block-components-checkbox.has-error, 
.wc-block-components-checkbox.has-error a {
    color: #f3782e;
}


/*  FOOTER  */
.totop {
	/*width:100%;*/
	display:flex;
	justify-content:right;
	position: fixed;
    bottom: 15px;
    right: 15px;

}
.totop a {
	border-radius:50%;
	width:55px;
	height:55px;
	color: var(--wp--preset--color--base);
    font-family: var(--wp--preset--font-family--literata);
    font-size: var(--wp--preset--font-size--medium);
	background-color: var(--wp--preset--color--contrast);
    border-width: 0;
	opacity: 0.2;
}
.totop a:hover {
	opacity:0.8;
}

.totop svg {
	
}

.woocommerce-cart .totop {
	display:none;
	
}
/*Tags på produktsider*/
.wp-block-post-terms {
	font-weight:400!important;
}


/*Recaptcha skal bare gå væk*/
/**/
div.grecaptcha-badge {
	display:none!important;
}
.grecaptcha-badge {
	display:none!important;	
}

/** 2. sortering **/
li.product_tag-2-sortering   {
	/*top: -50px;*/
    position: relative!important;

}
li.product_tag-2-sortering:before  {
	content:"2. SORTERING";
	display:block; 
	width:90%;
	height:50px;
	line-height:50px;
	text-align:center;
	vertical-align: baseline;
	border-radius:25px;
	background:#f0007566;
	color:#fff;
	font-weight:800;
	/*position:relative;
	top:15%;*/
	position:absolute;
	top:4%;
	left:5%;
	z-index:1;
	transform: rotate(-5deg);
	font-family: var(--wp--preset--font-family--literata);
}
body.product_tag-2-sortering div.flex-viewport {
	top:-50px;
}
body.product_tag-2-sortering div.flex-viewport:before {
	content:"2. SORTERING";
	display:block; 
	width:90%;
	height:50px;
	line-height:50px;
	text-align:center;
	vertical-align: baseline;
	border-radius:25px;
	background:#f0007566;
	color:#fff;
	font-weight:800;
	position:relative;
	top:15%;
	left:5%;
	z-index:1;
	transform: rotate(-5deg);
	font-family: var(--wp--preset--font-family--literata);
}

/* product_tag-2-sortering 2. sortering på udsalg og tilbud side mobile*/
@media (max-width: 768px){
	.page-template-page-keramik-paa-tilbud-og-udsalg li.product {
		width:100%!important;
		margin-bottom:0!important;
	}
	
}


/*Normalpris før rabat/uden fejl*/
.normalpris-linethrough {
	/*text-decoration:line-through;*/
	  background: linear-gradient(to left top, transparent 47.75%, currentColor 49.5%, currentColor 50.5%, transparent 52.25%);
}
.custom-field-wrapper .woocommerce-Price-amount {
	font-weight: 600;
}

/*minimumskøb order threshold*/
.order-threshold {
    padding: 1rem;
    font-weight: 400;
    color: red;
    border: 1px solid red;
    margin: 1rem 0;
	text-align:center;
}

/* produktvisning i shop og related loop*/
li.wc-block-product h3.wp-block-post-title {
	min-height: 3rem;
}

/*Søgefelt*/
.wp-block-search .wp-block-search__input {
	padding-right:0.2rem;
	padding-left:0.9rem;
}

/*tjek leveringsmuligheder knappen har en display og translation bug som ingen gider fixe*/
.wc-block-components-shipping-calculator-address__button .wc-block-components-button__text {
	font-size: 0;
	visibillity:hidden;
}

.wc-block-components-shipping-calculator-address__button .wc-block-components-button__text::after {
content: "Leveringsmuligheder";
	font-size: 16px;
	visibility: visible;
}

/*menu*/
.wp-block-navigation__responsive-container.is-menu-open {
	background-color:var(--wp--preset--color--base)!important;
}

/*artikler om keramik menu*/
.page-template-wp-custom-template-artikler-om-keramik div.wp-block-group-is-layout-constrained div.wp-block-navigation__responsive-container ul {
	display:list-item;
}

/*links*/
.no-underline,
.no-underline a {
	text-decoration:none;
}

/*Shop filters*/
.shopfilter .bapf_sfilter {
	margin-bottom:0;
}
.berocket_single_filter_widget h3{
	margin-top:0;
	margin-bottom:0.2rem;
}

.bapf_body,
.bapf_body select {
	min-height:2rem;
}
.bapf_body .select2-container {
	z-index:5!important;
}

/*keramik på udsalg og tilbud page*/
/* ER DENNE TEMPLATE I BRUG??? */
.page-template-page-keramik-paa-tilbud-og-udsalg .site-main {
    max-width: 100%;
    padding: 0 2rem;
}
.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce ul.products li {
	margin-top:0;
	margin-bottom:0;
	text-align:center;
}
.page-template-page-keramik-paa-tilbud-og-udsalg  .woocommerce ul.products li.product a img {
	margin:0 0 12px;
}

.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce-loop-product__title {
	font-size: var(--wp--preset--font-size--medium) !important;
}

.page-template-page-keramik-paa-tilbud-og-udsalg .custom-field-wrapper {
	font-size: var(--wp--preset--font-size--small) !important;
}

.page-template-page-keramik-paa-tilbud-og-udsalg > p:first-of-type {
  display: none; 
}

.page-template-page-keramik-paa-tilbud-og-udsalg p a.woocommerce-LoopProduct-link {
	display:none!important;
}

.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce ul.products li.product .woocommerce-loop-category__title, 
.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce ul.products li.product .woocommerce-loop-product__title, 
.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce ul.products li.product h3 {
	padding:0 0 0 0;
	min-height:3rem;
}

.page-template-page-keramik-paa-tilbud-og-udsalg .button{
	align-items: center;
    border-style: none;
    display: inline-flex;
    justify-content: center;
    line-height: inherit;
    overflow: hidden;
    white-space: normal;
    word-break: break-word;
	border-color: var(--wp--preset--color--contrast);
	font-size: var(--wp--preset--font-size--small) !important;
	border-radius: 9999px;
    box-shadow: none;
}
.page-template-page-keramik-paa-tilbud-og-udsalg li a.added_to_cart {
	display :block;
	text-decoration: underline!important;
}
.page-template-page-keramik-paa-tilbud-og-udsalg li a:focus {
	outline-style: none!important;
}

.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce-pagination {
	display: flex;
    justify-content: center;
}
.page-template-page-keramik-paa-tilbud-og-udsalg .woocommerce-pagination a {
	margin:0 3px;
	font-size: var(--wp--preset--font-size--medium);
    font-weight: 300;
    letter-spacing: 0px;
	
}
/*ekstra tekstfelt på category sider*/
.term-description {
	    max-width: var(--wp--style--global--wide-size);
}

/*Paginering sidenumre frem tilbage next previous */
.wp-block-query-pagination {
	margin: 2em 0;
}